Subject: Re: [ANNOUNCEMENT] Updated: docbook-xml42-4.2-3
From: "Gerrit P. Haase" <[email-masked]>
To: Patrick Eisenacher <[email-masked]>
Cc: Marcel Telka <[email-masked]>, [email-masked]
Date: Sat, 13 Nov 2004 00:11:58 +0100

Patrick Eisenacher wrote:

> Hi Marcel,
> 
> Marcel Telka schrieb:
> 
>>> Since I expected problems with my /etc/xml/catalog file, I kept an 
>>> eye on it. And indeed it got corrupted by the update. Here is what 
>>> happened:
>>>
>>> - the new publicId was inserted ok
>>> - the location of the DTD was updated ok
>>> - existing entries were not altered
>>
>>
>>
>> What are the "existing entries"?
> 
> 
> All other catalog elements except for the group elements.
> 
>>
>>> BUT:
>>> - all group definitions were lost
>>> - all identation was lost
>>
>>
>>
>> Please provide an example of the problematic /etc/xml/catalog file.
> 
> 
> I attached two catalogs. The first one was my original xml catalog
> before the update. The latter one is the one after the update. Note: I
> reconstructed the latter one from memory, so order of elements could
> vary, but it shows the problems I reported.
> 
>>> I use group definitions to set a common xml:base for all group 
>>> elements. As a result, the paths of every former group element got 
>>> corrupted.
>>>
>>> Can you please fix the catalog updating script?

If I run the command from the postinstallscript of

$ cygcheck -c docbook-xml42
Cygwin Package Information
Package              Version        Status
docbook-xml42        4.2-2          OK

with libxml2:
$ cygcheck -c libxml2
Cygwin Package Information
Package              Version        Status
libxml2              2.6.13-1       OK

It works ok:

<?xml version="1.0"?>
<!DOCTYPE catalog PUBLIC "-//OASIS//DTD Entity Resolution XML Catalog 
V1.0//EN" 
"http://www.oasis-open.org/committees/entity/release/1.0/catalog.dtd">
<catalog xmlns="urn:oasis:names:tc:entity:xmlns:xml:catalog">
   <group id="" xml:base="file:///usr/share/">
     <rewriteSystem 
systemIdStartString="http://db2latex.sourceforge.net/xsl/" 
rewritePrefix="db2latex-xsl-0.8pre1/xsl/"/>
     <rewriteSystem 
systemIdStartString="http://www.oasis-open.org/docbook/xml/4.2/" 
rewritePrefix="/usr/share/docbook-xml42/"/>
     <rewriteURI 
uriStartString="http://docbook.sourceforge.net/release/xsl/current/" 
rewritePrefix="docbook-xsl/"/>
   </group>
   <group id="" xml:base="file:///cygdrive/e/Entwicklung/Hedwig/">
     <uri name="html.titlepage.templates.xsl" 
uri="Object/html.titlepage.templates.xsl"/>
   </group>
</catalog>

What version of libxml2 do you have installed?  What is the content of 
the 4.2-3 docbook-xml42 postinstall script?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/